> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/data-assurance/assurances/global/{id} > Overwrite a pre-existing assurance under the current enterprise ## OpenAPI ````json PUT /v1/data-assurance/assurances/global/{id} { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/data-assurance/assurances/global/{id}": { "put": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " }, { "name": "id", "in": "path", "required": true, "description": "", "schema": { "type": "integer", "format": "int64", "example": 1234567891011 } } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1DataAssuranceAssurancesGlobalIdPutRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1DataAssuranceAssurancesGlobalIdPutResponse" } } } } }, "description": "Overwrite a pre-existing assurance under the current enterprise" } } }, "components": { "schemas": { "v1DataAssuranceAssurancesGlobalIdPutRequest": { "type": "object", "properties": { "appRemovalReason": { "type": "string", "example": "example string" }, "config": { "$ref": "#/components/schemas/manaV2AssuranceConfig" } }, "additionalProperties": false }, "v1DataAssuranceAssurancesGlobalIdPutResponse": { "type": "object", "properties": { "unsyncedDeviceNames": { "type": "array", "items": { "type": "string", "example": "example string" } } }, "additionalProperties": false }, "manaV2AssuranceConfig": { "type": "object", "properties": { "apps": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2BucketApp" } }, "flexAlgo": { "type": "string", "example": "example string" }, "lanNames": { "type": "array", "items": { "type": "string", "example": "example string" } }, "name": { "type": "string", "example": "example string" }, "siteListId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "useAllSites": { "type": "boolean", "example": true } }, "additionalProperties": false }, "manaV2BucketApp": { "type": "object", "properties": { "bucketId": { "type": "integer", "format": "int32", "example": 123 }, "builtinAppId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "customAppId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "isDomain": { "type": "boolean", "example": true }, "name": { "type": "string", "example": "example string" }, "servers": { "type": "array", "items": { "$ref": "#/components/schemas/manaV2BucketAppServer" } }, "useAllServers": { "type": "boolean", "example": true } }, "additionalProperties": false }, "manaV2BucketAppServer": { "type": "object", "properties": { "ip": { "type": "string", "example": "example string" }, "port": { "type": "integer", "format": "int32", "example": 123 }, "protocol": { "type": "string", "example": "ENUM_VALUE" } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````